org.codehaus.plexus.configuration.source

## Interface ConfigurationSource

All Known Implementing Classes:
  ChainedConfigurationSource, ContainerConfigurationSource

    public interface ConfigurationSource

A source for component configurations which may reside outside the configuration within a component descriptor. A common usecase for this is to create a unified configuration for a set of components. For an application it is more convenient to present the user with a single configuration, instead of making users work directly with a Plexus configuration file which exposes component details including implementation, and wiring information.

Author:
  Jason van Zyl

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`PlexusConfiguration` `getConfiguration(ComponentDescriptor componentDescriptor)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### getConfiguration

    PlexusConfiguration getConfiguration(ComponentDescriptor componentDescriptor)